#version 150
 
uniform mat4 transScaleMatrix;

in vec3 inPosition;
in vec3 inNormal;
in vec4 inColor;
in vec2 inTexCoord;

out vec2 vertexTexCoord;

void main(void)
{
	gl_Position = transScaleMatrix * vec4(inPosition, 1.0);
	vertexTexCoord = inTexCoord;
}